<!-------------------------------------------------------------------------------
 * Copyright (c) 2020 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0
 *
 * SPDX-License-Identifier: EPL-2.0
 -------------------------------------------------------------------------------->

<app-collapsible
  [(appCollapsed)]="appCollapsed"
  [appTitle]="'details.geoPositions.title' | translate">

  <div *ngIf="(geographicPosition$ | async) != null"
       class="map">

    <app-leaflet-map
      (appOpenGis)="openGis($event)"
      [appCenter]="geographicPosition$ | async">

      <ng-container [appLeafletMarker]="geographicPosition$ | async">
      </ng-container>

    </app-leaflet-map>

  </div>

  <div *ngIf="!((geographicPosition$ | async) != null)"
       class="placeholder">
    {{"details.geoPositions.placeholder" | translate}}
  </div>

</app-collapsible>
